/v1/issuer/data_sources
API Key
Paginated
List data sources
List all data sources for the authenticated issuer.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
status
|
query | string |
Filter by status
Values: draft, active, paused, error
|
source_type
|
query | string |
Filter by source type
Values: postgresql, csv
|
page
|
query | integer | Page number for pagination |
per_page
|
query | integer | Items per page (default: 25, max: 100) |
X-API-Key
*
|
header | string | Issuer API key for authentication |
* Required parameter
Response
Content-Type: application/json
success
boolean
data
array[object]
Array items:
A data source for automated credential issuance
slug
*
string
URL-friendly identifier
Example: employee-database
name
*
string
Display name for the data source
Example: Employee Database
source_type
*
string
Type of data source: - postgresql: PostgreSQL database connection - csv: CSV file upload
Allowed values: "postgresql", "csv"
Example: postgresql
status
*
string
Current status of the data source: - draft: Not yet configured/tested - active: Connection verified, ready for use - paused: Temporarily disabled - error: Connection test failed
Allowed values: "draft", "active", "paused", "error"
Example: active
mapping_count
*
integer
Number of credential schema mappings using this source
Example: 3
connection_info
object
nullable
Connection metadata (passwords are never exposed)
host
string
Database hostname
Example: db.example.com
port
integer
Database port
Example: 5432
database
string
Database name
Example: hr_system
username
string
Connection username
Example: reader
source_file
object
nullable
CSV file details (for csv source type)
filename
string
Example: employees.csv
byte_size
integer
Example: 15240
content_type
string
Example: text/csv
created_at
*
string (date-time)
When the data source was created
Example: 2025-01-01T00:00:00Z
updated_at
*
string (date-time)
When the data source was last updated
Example: 2025-01-15T10:30:00Z
meta
object
current_page
integer
per_page
integer
total_count
integer
total_pages
integer
Code Examples
import os
from aho_sdk import AhoSdk
client = AhoSdk.issuer(api_key=os.environ["AHO_API_KEY"])
result = client.data_sources.list
client = AhoSdk.issuer(api_key: ENV["AHO_API_KEY"])
result = client.data_sources.list
import { AhoSdk } from '@aho/sdk';
const client = AhoSdk.issuer({ apiKey: process.env.AHO_API_KEY });
const result = await client.data_sources.list;
curl -X GET 'https://api.aho.com/v1/issuer/data_sources' \
-H 'X-API-Key: $AHO_API_KEY'
Try It
Log in to test this endpoint directly from the documentation.
Log in